diff --git a/tests/test_api.py b/tests/test_api.py
index ce5d1ab..b7ab267 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -1830,13 +2024,18 @@ def test_agenda_meeting_gcd_durations_and_exceptions(app, meetings_agenda, user)
 
 def test_datetimes_api_meetings_agenda_start_hour_change(app, meetings_agenda):
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
-    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (
-            meeting_type.agenda.slug, meeting_type.slug)
+    api_url = '/api/agenda/%s/meetings/%s/datetimes/' % (meeting_type.agenda.slug, meeting_type.slug)
 
     resp = app.get(api_url)
     dt = datetime.datetime.strptime(resp.json['data'][2]['id'].split(':')[1], '%Y-%m-%d-%H%M')
-    ev = Event(agenda=meetings_agenda, meeting_type=meeting_type,
-            places=1, full=False, start_datetime=make_aware(dt), desk=Desk.objects.first())
+    ev = Event(
+        agenda=meetings_agenda,
+        meeting_type=meeting_type,
+        places=1,
+        full=False,
+        start_datetime=make_aware(dt),
+        desk=Desk.objects.first(),
+    )
     ev.save()
     booking = Booking(event=ev)
     booking.save()
diff --git a/tests/test_api_utils.py b/tests/test_api_utils.py
index 365fa09..07ce4a9 100644
--- a/tests/test_api_utils.py
+++ b/tests/test_api_utils.py
@@ -3,13 +3,16 @@ import pytest
 from chrono.api.utils import Response
 
 
-@pytest.mark.parametrize('data, expected', [
-    (None, None),
-    ({}, {}),
-    ({'reason': 'foo'}, {'reason': 'foo'}),
-    ({'err_class': 'foo'}, {'err_class': 'foo', 'reason': 'foo'}),
-    ({'bar': 'foo'}, {'bar': 'foo'}),
-])
+@pytest.mark.parametrize(
+    'data, expected',
+    [
+        (None, None),
+        ({}, {}),
+        ({'reason': 'foo'}, {'reason': 'foo'}),
+        ({'err_class': 'foo'}, {'err_class': 'foo', 'reason': 'foo'}),
+        ({'bar': 'foo'}, {'bar': 'foo'}),
+    ],
+)
 def test_response_data(data, expected):
     resp = Response(data=data)
     assert resp.data == expected
diff --git a/tests/test_data_migrations.py b/tests/test_data_migrations.py
index 16244ea..cd3c8b0 100644
--- a/tests/test_data_migrations.py
+++ b/tests/test_data_migrations.py
@@ -1,7 +1,7 @@
 import datetime
-import pytest
 
 import django
+import pytest
 from django.db import connection
 from django.db.migrations.executor import MigrationExecutor
 from django.utils.timezone import make_aware
@@ -52,23 +52,31 @@ def test_timeperiod_data_migrations():
     Event = old_apps.get_model(app, 'Event')
     agenda = Agenda.objects.create(label='foo', slug='foo', kind='meetings')
     agenda2 = Agenda.objects.create(label='bar', slug='bar', kind='events')
-    TimePeriod.objects.create(agenda=agenda, weekday=1,
-                              start_time=datetime.time(8, 0),
-                              end_time=datetime.time(12, 0))
-    TimePeriod.objects.create(agenda=agenda, weekday=2,
-                              start_time=datetime.time(8, 0),
-                              end_time=datetime.time(10, 0))
-    TimePeriod.objects.create(agenda=agenda, weekday=3,
-                              start_time=datetime.time(9, 0),
-                              end_time=datetime.time(12, 0))
-    meeting_type = MeetingType.objects.create(agenda=agenda, label='foo',
-                                              slug='foo', duration=60)
-    Event.objects.create(agenda=agenda, places=1, meeting_type=meeting_type,
-                         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 9, 30)))
-    Event.objects.create(agenda=agenda, places=1, meeting_type=meeting_type,
-                         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)))
-    Event.objects.create(agenda=agenda2, places=5,
-                         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)))
+    TimePeriod.objects.create(
+        agenda=agenda, weekday=1, start_time=datetime.time(8, 0), end_time=datetime.time(12, 0)
+    )
+    TimePeriod.objects.create(
+        agenda=agenda, weekday=2, start_time=datetime.time(8, 0), end_time=datetime.time(10, 0)
+    )
+    TimePeriod.objects.create(
+        agenda=agenda, weekday=3, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
+    meeting_type = MeetingType.objects.create(agenda=agenda, label='foo', slug='foo', duration=60)
+    Event.objects.create(
+        agenda=agenda,
+        places=1,
+        meeting_type=meeting_type,
+        start_datetime=make_aware(datetime.datetime(2017, 5, 22, 9, 30)),
+    )
+    Event.objects.create(
+        agenda=agenda,
+        places=1,
+        meeting_type=meeting_type,
+        start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0)),
+    )
+    Event.objects.create(
+        agenda=agenda2, places=5, start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 0))
+    )
     executor.loader.build_graph()
     executor.migrate(migrate_to)
     new_apps = executor.loader.project_state(migrate_to).apps
diff --git a/tests/test_import_export.py b/tests/test_import_export.py
index c3fa948..5cff139 100644
--- a/tests/test_import_export.py
+++ b/tests/test_import_export.py
@@ -3,24 +3,22 @@
 from __future__ import unicode_literals
 
 import datetime
-from io import StringIO
 import json
 import os
 import shutil
 import sys
 import tempfile
+from io import StringIO
 
 import pytest
 from django.contrib.auth.models import Group
-from django.core.management import call_command, CommandError
+from django.core.management import CommandError, call_command
 from django.utils.encoding import force_bytes
 from django.utils.timezone import make_aware
 
-from chrono.agendas.models import (Agenda, Event, TimePeriod, Desk,
-        TimePeriodException, AgendaImportError)
+from chrono.agendas.models import Agenda, AgendaImportError, Desk, Event, TimePeriod, TimePeriodException
 from chrono.manager.utils import import_site
-
-from test_api import some_data, meetings_agenda, time_zone, mock_now
+from test_api import meetings_agenda, mock_now, some_data, time_zone
 
 pytestmark = pytest.mark.django_db
 
@@ -40,10 +38,7 @@ def test_import_export(app, some_data, meetings_agenda):
     desk = meetings_agenda.desk_set.first()
     tpx_start = make_aware(datetime.datetime(2017, 5, 22, 8, 0))
     tpx_end = make_aware(datetime.datetime(2017, 5, 22, 12, 30))
-    TimePeriodException.objects.create(
-        desk=desk,
-        start_datetime=tpx_start,
-        end_datetime=tpx_end)
+    TimePeriodException.objects.create(desk=desk, start_datetime=tpx_start, end_datetime=tpx_end)
     output = get_output_of_command('export_site')
     assert len(json.loads(output)['agendas']) == 3
     import_site(data={}, clean=True)
@@ -77,15 +72,14 @@ def test_import_export(app, some_data, meetings_agenda):
     event.save()
     desk, _ = Desk.objects.get_or_create(agenda=agenda2, label='Desk A', slug='desk-a')
     timeperiod = TimePeriod(
-        desk=desk,
-        weekday=2,
-        start_time=datetime.time(10, 0),
-        end_time=datetime.time(11, 0))
+        desk=desk, weekday=2, start_time=datetime.time(10, 0), end_time=datetime.time(11, 0)
+    )
     timeperiod.save()
     exception = TimePeriodException(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 8, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 30)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 30)),
+    )
     exception.save()
 
     import_site(json.loads(output), overwrite=True)
@@ -97,15 +91,14 @@ def test_import_export(app, some_data, meetings_agenda):
     event = Event(agenda=agenda1, start_datetime=make_aware(datetime.datetime.now()), places=10)
     event.save()
     timeperiod = TimePeriod(
-        weekday=2,
-        desk=desk,
-        start_time=datetime.time(10, 0),
-        end_time=datetime.time(11, 0))
+        weekday=2, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(11, 0)
+    )
     timeperiod.save()
     exception = TimePeriodException(
         desk=desk,
         start_datetime=make_aware(datetime.datetime(2017, 5, 22, 8, 0)),
-        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 30)))
+        end_datetime=make_aware(datetime.datetime(2017, 5, 22, 12, 30)),
+    )
     exception.save()
     import_site(json.loads(output), overwrite=False)
     assert Event.objects.filter(id=event.id).count() == 1
